<?php

    session_start();

    include "../db.php";

    date_default_timezone_set('Asia/Kolkata');

    $currentTime = date('M j, Y g:i a');



    if ( !isset($_SESSION['uid']) && !isset($_SESSION['uref']) && !isset($_SESSION['utype']) && !isset($_SESSION['uname']) )

        header("Location: logout.php");

?>

<!DOCTYPE html>

<html lang="en">

<head>

 <?php include "includes/meta.php"; ?>        

    <?php include "includes/css.php"; ?>  



</head>

<body id="page-top" class="mt-55">



    <div style="margin-top: 70px;"></div>



      <?php include "includes/header2.php"; ?>

<div class="container">

            <div class="row">

                <div class="col-12 col-sm-12 col-md-12">

                        <div clas s="card-body">



                        

                            <h1 class="h3 mb-2 text-gray-800 text-center">Class</h1>

                            <hr>



                            <div class="row add-btn">

                                <a href="add-class.php"><i class="fa fa-user-plus"></i> Add Class</a>

                             </div>

                           

                            <hr>



                            <div class="row">

                                <!--loader -->

                                 <div class="col-12" id='loader'>

                                    <ul style="list-style: none; padding-left: 0;">

                                      <?php 

                                        for ($count = 0; $count < 4; $count++) {

                                  

                                            echo '<li>

                                            <div class="ph-item">

                                            <div cl ass="ph-test">

                                            <div class="ph-row">

                                            <div class="ph-col-12 big"></div>

                                            <div class="ph-col-12"></div>

                                            <div class="ph-col-12"></div>

                                            <div class="ph-col-12"></div>

                                            <div class="ph-col-12"></div>

                                            <div class="ph-col-12"></div>

                                            </div></div>

                                            </div>

                                            </li>';

                                        }

                                      ?>

                                    </ul>

                                </div>

                                <!-- loader -->

                                <div class="col-12" id="full-table">

                                        <ul class="timeline" id="full-table-data"></></ul>

                                </div>

                                <div class="col-12" id="filter-table" style="display: none;">

                                        <ul class="timeline" id="filter-table-data"></></ul>

                                </div>

                            </div>

                        </div>

                    </div>



                </div>



            </div>



            <?php include "includes/ft.php"; ?>

            <?php include "includes/js.php"; ?>

<script>

    //dropdown TWO filter Start//

  $(document).ready(function(){



        var load_filter_flag = '';

        var FirstFilterValue = '';

        var SecondFilterValue = '';

        $("#filter").click(function(){

            FirstFilterValue = $('#FirstFilterValue').val();

            SecondFilterValue = $('#SecondFilterValue').val();

            load_filter_flag = 0;

            if (FirstFilterValue != '' || SecondFilterValue != '') {

                //alert(name);

                $.ajax({

                    url:'view-class-Ajax.php',

                    type:'post',

                    data:{

                      FirstFilterValue:FirstFilterValue,

                      SecondFilterValue:SecondFilterValue,

                      start:load_filter_flag

                    },

                    success:function(result){

                      $('#full-table').hide();

                      $('#filter-table').show();

                      $('#filter-table-data').html(result);

                      load_filter_flag += 10;

                    },

                    complete:function(data){

                        /* Hide loader container */

                        $("#loader").hide();

                    }

                });

            }else{

                alert('Plz Select an Option');

                $('#full-table').show();

                $('#filter-table').hide();

            }

        });





        function loadMoreFilter(start){

            console.log('Filter'+start);

            if (load_filter_flag > 0) {

              //alert(name);

                  $.ajax({

                    url:'view-class-Ajax.php',

                    type:'post',

                    data:{

                      FirstFilterValue:FirstFilterValue,

                      SecondFilterValue:SecondFilterValue,

                      start:start

                    },

                    success:function(result){

                      $('#filter-table-data').append(result);

                      load_filter_flag += 10;

                    }

                  });

             

            }

        }

// Scroll Loading of Full Data //

        var load_flag = 0;

        loadMore(load_flag);

        function loadMore(start){

            //console.log('total'+start);

            $.ajax({

                url: 'view-class-Ajax.php',

                type: 'post',

                data: 'start='+start,

                success:function(result){

                    $('#full-table-data').append(result);

                    load_flag += 10;

                },

                complete:function(data){

                    /* Hide loader container */

                    $("#loader").hide();

                }

            });

        }



        $(window).scroll(function(){

        

            if ($(window).scrollTop() >= $(document).height()-$(window).height()) {

                //console.log('call');

                if (load_filter_flag>0) {

                    loadMoreFilter(load_filter_flag); 

                }else{

                    loadMore(load_flag);

                }

                

                

            }

            

        });



  });

</script>





</body>

</html>





<?php

    if ( isset($_GET["del_id"]) ) {



    $disable_sql = "UPDATE class SET cdisplay='disable' WHERE sid = '$_GET[del_id]'";



        if ( mysqli_query($con, $disable_sql) ) {

            ?>

            <script>window.location = "view-class.php";</script>

            <?php

        } else {

            ?>

            <script>

                alert('OOPS !!!!');

                setTimeout(() => {

                    window.location = 'view-class.php';

                }, 1200);

            </script>

            <?php

        }



    }

?>

